import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiBserviceGroupResizeResultInt(_base.BaseAPIResultInt):
    pass


class CloudapiBserviceGroupResizeProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def group_resize(
        self,
        *,
        bservice_id: int,
        bsgroup_id: int,
        chipset: _nested.Chipset = _nested.Chipset.Q35,
        count_change_mode: _nested.CountChangeMode = (
            _nested.CountChangeMode.RELATIVE
        ),
        vm_count: int,
    ) -> CloudapiBserviceGroupResizeResultInt:
        ...
